# Makefile for program source directory in GNU NLS utilities package.
# Copyright (C) 1995, 1996, 1997 by Ulrich Drepper <drepper@gnu.ai.mit.edu>
# Copyright (C) 2004-2008 Rodney Dawes <dobey.pwns@gmail.com>
#
# This file may be copied and used freely without restrictions.  It may
# be used in projects which are not available under a GNU Public License,
# but which still want to provide support for the GNU gettext functionality.
#
# - Modified by Owen Taylor <otaylor@redhat.com> to use GETTEXT_PACKAGE
#   instead of PACKAGE and to look for po2tbl in ./ not in intl/
#
# - Modified by jacob berkman <jacob@ximian.com> to install
#   Makefile.in.in and po2tbl.sed.in for use with glib-gettextize
#
# - Modified by Rodney Dawes <dobey.pwns@gmail.com> for use with intltool
#
# We have the following line for use by intltoolize:
# INTLTOOL_MAKEFILE

GETTEXT_PACKAGE = gnumeric-1.12.18
PACKAGE = gnumeric
VERSION = 1.12.18

SHELL = /bin/sh

srcdir = .
top_srcdir = ..
top_builddir = ..


prefix = /usr
exec_prefix = ${prefix}
datadir = ${datarootdir}
datarootdir = ${prefix}/share
libdir = /usr/lib64
DATADIRNAME = share
itlocaledir = $(prefix)/$(DATADIRNAME)/locale
subdir = po
install_sh = ${SHELL} /mnt/sdb1/pub/slack-stuff/gnumeric/gnumeric-1.12.18/install-sh
# Automake >= 1.8 provides $(MKDIR_P).
# Until it can be supposed, use the safe fallback:
mkdir_p = $(install_sh) -d

INSTALL = /usr/bin/ginstall -c
INSTALL_DATA = ${INSTALL} -m 644

GMSGFMT = /usr/bin/msgfmt
MSGFMT = /usr/bin/msgfmt
XGETTEXT = /usr/bin/xgettext
INTLTOOL_UPDATE = /usr/bin/intltool-update
INTLTOOL_EXTRACT = /usr/bin/intltool-extract
MSGMERGE = INTLTOOL_EXTRACT=$(INTLTOOL_EXTRACT) srcdir=$(srcdir) $(INTLTOOL_UPDATE) --gettext-package $(GETTEXT_PACKAGE) --dist
GENPOT   = INTLTOOL_EXTRACT=$(INTLTOOL_EXTRACT) srcdir=$(srcdir) $(INTLTOOL_UPDATE) --gettext-package $(GETTEXT_PACKAGE) --pot

ALL_LINGUAS = 

PO_LINGUAS=$(shell if test -r $(srcdir)/LINGUAS; then grep -v "^\#" $(srcdir)/LINGUAS; fi)

USER_LINGUAS=$(shell if test -n "$(LINGUAS)"; then LLINGUAS="$(LINGUAS)"; ALINGUAS="$(ALL_LINGUAS)"; for lang in $$LLINGUAS; do if test -n "`grep ^$$lang$$ $(srcdir)/LINGUAS`" -o -n "`echo $$ALINGUAS|grep ' ?$$lang ?'`"; then printf "$$lang "; fi; done; fi)

USE_LINGUAS=$(shell if test -n "$(USER_LINGUAS)"; then LLINGUAS="$(USER_LINGUAS)"; else if test -n "$(PO_LINGUAS)"; then LLINGUAS="$(PO_LINGUAS)"; else LLINGUAS="$(ALL_LINGUAS)"; fi; fi; for lang in $$LLINGUAS; do printf "$$lang "; done)

POFILES=$(shell LINGUAS="$(USE_LINGUAS)"; for lang in $$LINGUAS; do printf "$$lang.po "; done)

DISTFILES = ChangeLog Makefile.in.in POTFILES.in $(POFILES)
EXTRA_DISTFILES = POTFILES.skip Makevars LINGUAS

POTFILES = \
	../gnumeric.desktop.in \
	../plugins/applix/applix-read.c \
	../plugins/applix/plugin.xml.in \
	../plugins/dif/dif.c \
	../plugins/dif/plugin.xml.in \
	../plugins/excel/boot.c \
	../plugins/excel/excel-xml-read.c \
	../plugins/excel/ms-excel-read.c \
	../plugins/excel/ms-excel-util.c \
	../plugins/excel/ms-excel-write.c \
	../plugins/excel/ms-formula-read.c \
	../plugins/excel/ms-formula-write.c \
	../plugins/excel/plugin.xml.in \
	../plugins/excel/xlsx-read-docprops.c \
	../plugins/excel/xlsx-read-drawing.c \
	../plugins/excel/xlsx-read-pivot.c \
	../plugins/excel/xlsx-read.c \
	../plugins/excel/xlsx-write.c \
	../plugins/excelplugins/excelplugins.c \
	../plugins/excelplugins/plugin.xml.in \
	../plugins/fn-christian-date/functions.c \
	../plugins/fn-christian-date/plugin.xml.in \
	../plugins/fn-complex/functions.c \
	../plugins/fn-complex/plugin.xml.in \
	../plugins/fn-database/functions.c \
	../plugins/fn-database/plugin.xml.in \
	../plugins/fn-date/functions.c \
	../plugins/fn-date/plugin.xml.in \
	../plugins/fn-derivatives/options.c \
	../plugins/fn-derivatives/plugin.xml.in \
	../plugins/fn-eng/functions.c \
	../plugins/fn-eng/plugin.xml.in \
	../plugins/fn-erlang/functions.c \
	../plugins/fn-erlang/plugin.xml.in \
	../plugins/fn-financial/functions.c \
	../plugins/fn-financial/plugin.xml.in \
	../plugins/fn-hebrew-date/functions.c \
	../plugins/fn-hebrew-date/hdate_strings.c \
	../plugins/fn-hebrew-date/plugin.xml.in \
	../plugins/fn-info/functions.c \
	../plugins/fn-info/plugin.xml.in \
	../plugins/fn-logical/functions.c \
	../plugins/fn-logical/plugin.xml.in \
	../plugins/fn-lookup/functions.c \
	../plugins/fn-lookup/plugin.xml.in \
	../plugins/fn-math/functions.c \
	../plugins/fn-math/plugin.xml.in \
	../plugins/fn-numtheory/numtheory.c \
	../plugins/fn-numtheory/plugin.xml.in \
	../plugins/fn-r/functions.c \
	../plugins/fn-r/plugin.xml.in \
	../plugins/fn-random/functions.c \
	../plugins/fn-random/plugin.xml.in \
	../plugins/fn-stat/functions.c \
	../plugins/fn-stat/plugin.xml.in \
	../plugins/fn-string/functions.c \
	../plugins/fn-string/plugin.xml.in \
	../plugins/fn-tsa/functions.c \
	../plugins/fn-tsa/plugin.xml.in \
	../plugins/gda/plugin-gda.c \
	../plugins/gda/plugin.xml.in \
	../plugins/gda/ui.xml.in \
	../plugins/glpk/glpk-write.c \
	../plugins/glpk/gnm-glpk.c \
	../plugins/glpk/plugin.xml.in \
	../plugins/gnome-db/plugin-gnomedb.c \
	../plugins/gnome-db/plugin.xml.in \
	../plugins/gnome-glossary/plugin.xml.in \
	../plugins/html/html_read.c \
	../plugins/html/plugin.xml.in \
	../plugins/html/roff.c \
	../plugins/lotus-123/boot.c \
	../plugins/lotus-123/lotus.c \
	../plugins/lotus-123/plugin.xml.in \
	../plugins/lpsolve/gnm-lpsolve.c \
	../plugins/lpsolve/lpsolve-write.c \
	../plugins/lpsolve/plugin.xml.in \
	../plugins/mps/mps.c \
	../plugins/mps/plugin.xml.in \
	../plugins/nlsolve/gnm-nlsolve.c \
	../plugins/nlsolve/plugin.xml.in \
	../plugins/oleo/oleo.c \
	../plugins/oleo/plugin.xml.in \
	../plugins/openoffice/openoffice-read.c \
	../plugins/openoffice/openoffice-write.c \
	../plugins/openoffice/plugin.xml.in \
	../plugins/paradox/paradox.c \
	../plugins/paradox/plugin.xml.in \
	../plugins/perl-func/plugin.xml.in \
	../plugins/perl-loader/perl-loader.c \
	../plugins/perl-loader/plugin.xml.in \
	../plugins/plan-perfect/pln.c \
	../plugins/plan-perfect/plugin.xml.in \
	../plugins/psiconv/plugin.xml.in \
	../plugins/psiconv/psiconv-read.c \
	../plugins/py-func/plugin.xml.in \
	../plugins/python-loader/gnm-py-interpreter.c \
	../plugins/python-loader/gnm-python.c \
	../plugins/python-loader/plugin.xml.in \
	../plugins/python-loader/py-console.c \
	../plugins/python-loader/py-gnumeric.c \
	../plugins/python-loader/python-loader.c \
	../plugins/python-loader/ui-console-menu.xml.in \
	../plugins/qpro/plugin.xml.in \
	../plugins/qpro/qpro-read.c \
	../plugins/sample_datasource/plugin.xml.in \
	../plugins/sample_datasource/sample_datasource.c \
	../plugins/sc/plugin.xml.in \
	../plugins/sc/sc.c \
	../plugins/sylk/plugin.xml.in \
	../plugins/sylk/sylk-write.c \
	../plugins/sylk/sylk.c \
	../plugins/uihello/hello.xml.in \
	../plugins/uihello/plugin.xml.in \
	../plugins/uihello/uihello.c \
	../plugins/xbase/boot.c \
	../plugins/xbase/plugin.xml.in \
	../plugins/xbase/xbase.c \
	../schemas/org.gnome.gnumeric.dialogs.gschema.xml.in.in \
	../schemas/org.gnome.gnumeric.gschema.xml.in.in \
	../schemas/org.gnome.gnumeric.plugin.gschema.xml.in.in \
	../src/GNOME_Gnumeric-gtk.xml.in \
	../src/application.c \
	../src/cell.c \
	../src/clipboard.c \
	../src/cmd-edit.c \
	../src/command-context-stderr.c \
	../src/command-context.c \
	../src/commands.c \
	../src/consolidate.c \
	../src/dependent.c \
	../src/dialogs/dao-gui-utils.c \
	../src/dialogs/dialog-about.c \
	../src/dialogs/dialog-advanced-filter.c \
	../src/dialogs/dialog-analysis-tool-chi-squared.c \
	../src/dialogs/dialog-analysis-tool-frequency.c \
	../src/dialogs/dialog-analysis-tool-kaplan-meier.c \
	../src/dialogs/dialog-analysis-tool-normality.c \
	../src/dialogs/dialog-analysis-tool-one-mean.c \
	../src/dialogs/dialog-analysis-tool-principal-components.c \
	../src/dialogs/dialog-analysis-tool-sign-test.c \
	../src/dialogs/dialog-analysis-tool-wilcoxon-mann-whitney.c \
	../src/dialogs/dialog-analysis-tools.c \
	../src/dialogs/dialog-autofilter.c \
	../src/dialogs/dialog-autoformat.c \
	../src/dialogs/dialog-autosave.c \
	../src/dialogs/dialog-cell-comment.c \
	../src/dialogs/dialog-cell-format.c \
	../src/dialogs/dialog-cell-format-cond.c \
	../src/dialogs/dialog-cell-sort.c \
	../src/dialogs/dialog-col-width.c \
	../src/dialogs/dialog-consolidate.c \
	../src/dialogs/dialog-data-slicer.c \
	../src/dialogs/dialog-data-table.c \
	../src/dialogs/dialog-define-names.c \
	../src/dialogs/dialog-delete-cells.c \
	../src/dialogs/dialog-doc-metadata.c \
	../src/dialogs/dialog-fill-series.c \
	../src/dialogs/dialog-formula-guru.c \
	../src/dialogs/dialog-function-select.c \
	../src/dialogs/dialog-goal-seek.c \
	../src/dialogs/dialog-goto-cell.c \
	../src/dialogs/dialog-hyperlink.c \
	../src/dialogs/dialog-insert-cells.c \
	../src/dialogs/dialog-merge.c \
	../src/dialogs/dialog-password.c \
	../src/dialogs/dialog-paste-special.c \
	../src/dialogs/dialog-plugin-manager.c \
	../src/dialogs/dialog-preferences.c \
	../src/dialogs/dialog-printer-setup.c \
	../src/dialogs/dialog-quit.c \
	../src/dialogs/dialog-random-generator-cor.c \
	../src/dialogs/dialog-random-generator.c \
	../src/dialogs/dialog-recent.c \
	../src/dialogs/dialog-row-height.c \
	../src/dialogs/dialog-scenarios.c \
	../src/dialogs/dialog-search-replace.c \
	../src/dialogs/dialog-search.c \
	../src/dialogs/dialog-sheet-order.c \
	../src/dialogs/dialog-sheetobject-size.c \
	../src/dialogs/dialog-shuffle.c \
	../src/dialogs/dialog-simulation.c \
	../src/dialogs/dialog-so-list.c \
	../src/dialogs/dialog-so-styled.c \
	../src/dialogs/dialog-solver.c \
	../src/dialogs/dialog-stf-csv-page.c \
	../src/dialogs/dialog-stf-export.c \
	../src/dialogs/dialog-stf-fixed-page.c \
	../src/dialogs/dialog-stf-format-page.c \
	../src/dialogs/dialog-stf-main-page.c \
	../src/dialogs/dialog-stf-preview.c \
	../src/dialogs/dialog-stf-preview.h \
	../src/dialogs/dialog-stf.c \
	../src/dialogs/dialog-tabulate.c \
	../src/dialogs/dialog-view.c \
	../src/dialogs/dialog-workbook-attr.c \
	../src/dialogs/dialog-zoom.c \
	../src/dialogs/advanced-filter.ui \
	../src/dialogs/anova-one.ui \
	../src/dialogs/anova-two.ui \
	../src/dialogs/autofilter-expression.ui \
	../src/dialogs/autofilter-top10.ui \
	../src/dialogs/autoformat.ui \
	../src/dialogs/autosave.ui \
	../src/dialogs/cell-comment.ui \
	../src/dialogs/cell-format-cond.ui \
	../src/dialogs/cell-format.ui \
	../src/dialogs/cell-sort.ui \
	../src/dialogs/chi-squared.ui \
	../src/dialogs/colrow.ui \
	../src/dialogs/col-width.ui \
	../src/dialogs/consolidate.ui \
	../src/dialogs/correlation.ui \
	../src/dialogs/covariance.ui \
	../src/dialogs/dao.ui \
	../src/dialogs/data-slicer.ui \
	../src/dialogs/data-table.ui \
	../src/dialogs/define-name.ui \
	../src/dialogs/delete-cells.ui \
	../src/dialogs/descriptive-stats.ui \
	../src/dialogs/dialog-stf-export.ui \
	../src/dialogs/dialog-stf.ui \
	../src/dialogs/dialog-zoom.ui \
	../src/dialogs/doc-meta-data.ui \
	../src/dialogs/exp-smoothing.ui \
	../src/dialogs/fill-series.ui \
	../src/dialogs/formula-guru.ui \
	../src/dialogs/fourier-analysis.ui \
	../src/dialogs/frequency.ui \
	../src/dialogs/function-select.ui \
	../src/dialogs/goalseek.ui \
	../src/dialogs/goto.ui \
	../src/dialogs/hf-config.ui \
	../src/dialogs/hf-dt-format.ui \
	../src/dialogs/histogram.ui \
	../src/dialogs/hyperlink.ui \
	../src/dialogs/insert-cells.ui \
	../src/dialogs/kaplan-meier.ui \
	../src/dialogs/mean-tests.ui \
	../src/dialogs/merge.ui \
	../src/dialogs/moving-averages.ui \
	../src/dialogs/normality-tests.ui \
	../src/dialogs/one-mean-test.ui \
	../src/dialogs/paste-special.ui \
	../src/dialogs/plugin-manager.ui \
	../src/dialogs/preferences.ui \
	../src/dialogs/principal-components.ui \
	../src/dialogs/print.ui \
	../src/dialogs/quit.ui \
	../src/dialogs/random-generation-cor.ui \
	../src/dialogs/random-generation.ui \
	../src/dialogs/rank.ui \
	../src/dialogs/recent.ui \
	../src/dialogs/regression.ui \
	../src/dialogs/row-height.ui \
	../src/dialogs/sampling.ui \
	../src/dialogs/scenario-add.ui \
	../src/dialogs/scenario-manager.ui \
	../src/dialogs/search-replace.ui \
	../src/dialogs/search.ui \
	../src/dialogs/sheetobject-size.ui \
	../src/dialogs/sheet-order.ui \
	../src/dialogs/sheet-rename.ui \
	../src/dialogs/sheet-resize.ui \
	../src/dialogs/shuffle.ui \
	../src/dialogs/sign-test-two.ui \
	../src/dialogs/sign-test.ui \
	../src/dialogs/simulation.ui \
	../src/dialogs/so-button.ui \
	../src/dialogs/so-checkbox.ui \
	../src/dialogs/so-frame.ui \
	../src/dialogs/so-list.ui \
	../src/dialogs/solver.ui \
	../src/dialogs/so-radiobutton.ui \
	../src/dialogs/so-scrollbar.ui \
	../src/dialogs/tabulate.ui \
	../src/dialogs/variance-tests.ui \
	../src/dialogs/view.ui \
	../src/dialogs/wbcg.ui \
	../src/dialogs/wilcoxon-mann-whitney.ui \
	../src/dialogs/workbook-attr.ui \
	../src/expr-name.c \
	../src/expr.c \
	../src/file-autoft.c \
	../src/format-template.c \
	../src/func-builtin.c \
	../src/func.c \
	../src/gnm-commands-slicer.c \
	../src/gnm-data-cache-source.c \
	../src/gnm-datetime.c \
	../src/gnm-format.c \
	../src/gnm-graph-window.c \
	../src/gnm-pane.c \
	../src/gnm-plugin.c \
	../src/gnm-plugin.h \
	../src/gnm-so-filled.c \
	../src/gnm-so-line.c \
	../src/gnm-so-path.c \
	../src/gnm-so-polygon.c \
	../src/gui-clipboard.c \
	../src/gui-file.c \
	../src/gui-util.c \
	../src/gutils.c \
	../src/history.c \
	../src/hlink.c \
	../src/input-msg.c \
	../src/io-context-gtk.c \
	../src/item-bar.c \
	../src/item-cursor.c \
	../src/item-edit.c \
	../src/item-grid.c \
	../src/libgnumeric.c \
	../src/main-application.c \
	../src/mathfunc.c \
	../src/parse-util.c \
	../src/parser.y \
	../src/print-info.c \
	../src/print.c \
	../src/ranges.c \
	../src/search.c \
	../src/selection.c \
	../src/session.c \
	../src/sheet-autofill.c \
	../src/sheet-control-gui.c \
	../src/sheet-filter.c \
	../src/sheet-merge.c \
	../src/sheet-object.c \
	../src/sheet-object-component.c \
	../src/sheet-object-graph.c \
	../src/sheet-object-image.c \
	../src/sheet-object-widget.c \
	../src/sheet-style.c \
	../src/sheet-utils.c \
	../src/sheet-view.c \
	../src/sheet.c \
	../src/ssconvert.c \
	../src/ssdiff.c \
	../src/ssgrep.c \
	../src/ssindex.c \
	../src/stf-export.c \
	../src/stf-parse.c \
	../src/stf.c \
	../src/style.c \
	../src/test-pango.c \
	../src/tools/analysis-anova.c \
	../src/tools/analysis-auto-expression.c \
	../src/tools/analysis-chi-squared.c \
	../src/tools/analysis-exp-smoothing.c \
	../src/tools/analysis-frequency.c \
	../src/tools/analysis-histogram.c \
	../src/tools/analysis-kaplan-meier.c \
	../src/tools/analysis-normality.c \
	../src/tools/analysis-one-mean-test.c \
	../src/tools/analysis-principal-components.c \
	../src/tools/analysis-sign-test.c \
	../src/tools/analysis-signed-rank-test.c \
	../src/tools/analysis-tools.c \
	../src/tools/analysis-wilcoxon-mann-whitney.c \
	../src/tools/dao.c \
	../src/tools/data-shuffling.c \
	../src/tools/fill-series.c \
	../src/tools/filter.c \
	../src/tools/gnm-solver.c \
	../src/tools/random-generator-cor.c \
	../src/tools/random-generator.c \
	../src/tools/scenarios.c \
	../src/tools/simulation.c \
	../src/tools/tabulate.c \
	../src/undo.c \
	../src/validation.c \
	../src/value-sheet.c \
	../src/value.c \
	../src/wbc-gtk-actions.c \
	../src/wbc-gtk-edit.c \
	../src/wbc-gtk.c \
	../src/widgets/gnm-cell-combo-view.c \
	../src/widgets/gnm-dao.c \
	../src/widgets/gnm-filter-combo-view.c \
	../src/widgets/gnm-fontbutton.c \
	../src/widgets/gnm-format-sel.c \
	../src/widgets/gnm-sheet-slicer-combo-view.c \
	../src/widgets/gnumeric-cell-renderer-expr-entry.c \
	../src/widgets/gnumeric-cell-renderer-text.c \
	../src/widgets/gnumeric-cell-renderer-toggle.c \
	../src/widgets/gnumeric-expr-entry.c \
	../src/widgets/gnumeric-text-view.c \
	../src/workbook-cmd-format.c \
	../src/workbook-control.c \
	../src/workbook-view.c \
	../src/workbook.c \
	../src/xml-sax-read.c \
	../src/xml-sax-write.c \
	../templates/autoformat/3D.category.in \
	../templates/autoformat/Classical.category.in \
	../templates/autoformat/Colourful.category.in \
	../templates/autoformat/Financial.category.in \
	../templates/autoformat/General.category.in \
	../templates/autoformat/List.category.in \
	../templates/autoformat/autoformat.3D.button.xml.in \
	../templates/autoformat/autoformat.3D.list.xml.in \
	../templates/autoformat/autoformat.Classical.cool.xml.in \
	../templates/autoformat/autoformat.Classical.simple.xml.in \
	../templates/autoformat/autoformat.Classical.trendy.xml.in \
	../templates/autoformat/autoformat.Colourful.banana.xml.in \
	../templates/autoformat/autoformat.Colourful.black.xml.in \
	../templates/autoformat/autoformat.Colourful.blue.xml.in \
	../templates/autoformat/autoformat.Colourful.orange.xml.in \
	../templates/autoformat/autoformat.Colourful.vanilla.xml.in \
	../templates/autoformat/autoformat.Financial.basic.xml.in \
	../templates/autoformat/autoformat.Financial.desert.xml.in \
	../templates/autoformat/autoformat.Financial.ice.xml.in \
	../templates/autoformat/autoformat.Financial.modern.xml.in \
	../templates/autoformat/autoformat.Financial.purple.xml.in \
	../templates/autoformat/autoformat.General.advanced.xml.in \
	../templates/autoformat/autoformat.General.basic.xml.in \
	../templates/autoformat/autoformat.General.empty.xml.in \
	../templates/autoformat/autoformat.General.table.xml.in \
	../templates/autoformat/autoformat.List.basic.xml.in \
	../templates/autoformat/autoformat.List.green.xml.in \
	../templates/autoformat/autoformat.List.lila.xml.in \
	../templates/autoformat/autoformat.List.simple.xml.in

CATALOGS=$(shell LINGUAS="$(USE_LINGUAS)"; for lang in $$LINGUAS; do printf "$$lang.gmo "; done)

.SUFFIXES:
.SUFFIXES: .po .pox .gmo .mo .msg .cat

.po.pox:
	$(MAKE) $(GETTEXT_PACKAGE).pot
	$(MSGMERGE) $< $(GETTEXT_PACKAGE).pot -o $*.pox

.po.mo:
	$(MSGFMT) -o $@ $<

.po.gmo:
	file=`echo $* | sed 's,.*/,,'`.gmo \
	  && rm -f $$file && $(GMSGFMT) -o $$file $<

.po.cat:
	sed -f ../intl/po2msg.sed < $< > $*.msg \
	  && rm -f $@ && gencat $@ $*.msg


all: all-yes

all-yes: $(CATALOGS)
all-no:

$(GETTEXT_PACKAGE).pot: $(POTFILES)
	$(GENPOT)

install: install-data
install-data: install-data-yes
install-data-no: all
install-data-yes: all
	$(mkdir_p) $(DESTDIR)$(itlocaledir)
	linguas="$(USE_LINGUAS)"; \
	for lang in $$linguas; do \
	  dir=$(DESTDIR)$(itlocaledir)/$$lang/LC_MESSAGES; \
	  $(mkdir_p) $$dir; \
	  if test -r $$lang.gmo; then \
	    $(INSTALL_DATA) $$lang.gmo $$dir/$(GETTEXT_PACKAGE).mo; \
	    echo "installing $$lang.gmo as $$dir/$(GETTEXT_PACKAGE).mo"; \
	  else \
	    $(INSTALL_DATA) $(srcdir)/$$lang.gmo $$dir/$(GETTEXT_PACKAGE).mo; \
	    echo "installing $(srcdir)/$$lang.gmo as" \
		 "$$dir/$(GETTEXT_PACKAGE).mo"; \
	  fi; \
	  if test -r $$lang.gmo.m; then \
	    $(INSTALL_DATA) $$lang.gmo.m $$dir/$(GETTEXT_PACKAGE).mo.m; \
	    echo "installing $$lang.gmo.m as $$dir/$(GETTEXT_PACKAGE).mo.m"; \
	  else \
	    if test -r $(srcdir)/$$lang.gmo.m ; then \
	      $(INSTALL_DATA) $(srcdir)/$$lang.gmo.m \
		$$dir/$(GETTEXT_PACKAGE).mo.m; \
	      echo "installing $(srcdir)/$$lang.gmo.m as" \
		   "$$dir/$(GETTEXT_PACKAGE).mo.m"; \
	    else \
	      true; \
	    fi; \
	  fi; \
	done

# Empty stubs to satisfy archaic automake needs
dvi info tags TAGS ID:

# Define this as empty until I found a useful application.
install-exec installcheck:

uninstall:
	linguas="$(USE_LINGUAS)"; \
	for lang in $$linguas; do \
	  rm -f $(DESTDIR)$(itlocaledir)/$$lang/LC_MESSAGES/$(GETTEXT_PACKAGE).mo; \
	  rm -f $(DESTDIR)$(itlocaledir)/$$lang/LC_MESSAGES/$(GETTEXT_PACKAGE).mo.m; \
	done

check: all $(GETTEXT_PACKAGE).pot
	rm -f missing notexist
	srcdir=$(srcdir) $(INTLTOOL_UPDATE) -m
	if [ -r missing -o -r notexist ]; then \
	  exit 1; \
	fi

mostlyclean:
	rm -f *.pox $(GETTEXT_PACKAGE).pot *.old.po cat-id-tbl.tmp
	rm -f .intltool-merge-cache

clean: mostlyclean

distclean: clean
	rm -f Makefile Makefile.in POTFILES stamp-it
	rm -f *.mo *.msg *.cat *.cat.m *.gmo

maintainer-clean: distclean
	@echo "This command is intended for maintainers to use;"
	@echo "it deletes files that may require special tools to rebuild."
	rm -f Makefile.in.in

distdir = ../$(PACKAGE)-$(VERSION)/$(subdir)
dist distdir: $(DISTFILES)
	dists="$(DISTFILES)"; \
	extra_dists="$(EXTRA_DISTFILES)"; \
	for file in $$extra_dists; do \
	  test -f $(srcdir)/$$file && dists="$$dists $(srcdir)/$$file"; \
	done; \
	for file in $$dists; do \
	  test -f $$file || file="$(srcdir)/$$file"; \
	  ln $$file $(distdir) 2> /dev/null \
	    || cp -p $$file $(distdir); \
	done

update-po: Makefile
	$(MAKE) $(GETTEXT_PACKAGE).pot
	tmpdir=`pwd`; \
	linguas="$(USE_LINGUAS)"; \
	for lang in $$linguas; do \
	  echo "$$lang:"; \
	  result="`$(MSGMERGE) -o $$tmpdir/$$lang.new.po $$lang`"; \
	  if $$result; then \
	    if cmp $(srcdir)/$$lang.po $$tmpdir/$$lang.new.po >/dev/null 2>&1; then \
	      rm -f $$tmpdir/$$lang.new.po; \
            else \
	      if mv -f $$tmpdir/$$lang.new.po $$lang.po; then \
	        :; \
	      else \
	        echo "msgmerge for $$lang.po failed: cannot move $$tmpdir/$$lang.new.po to $$lang.po" 1>&2; \
	        rm -f $$tmpdir/$$lang.new.po; \
	        exit 1; \
	      fi; \
	    fi; \
	  else \
	    echo "msgmerge for $$lang.gmo failed!"; \
	    rm -f $$tmpdir/$$lang.new.po; \
	  fi; \
	done

Makefile POTFILES: stamp-it
	@if test ! -f $@; then \
	  rm -f stamp-it; \
	  $(MAKE) stamp-it; \
	fi

stamp-it: Makefile.in.in $(top_builddir)/config.status POTFILES.in
	cd $(top_builddir) \
	  && CONFIG_FILES=$(subdir)/Makefile.in CONFIG_HEADERS= CONFIG_LINKS= \
	       $(SHELL) ./config.status

# Tell versions [3.59,3.63) of GNU make not to export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:
